# logrotate definition for the '<?php print PACKAGE_NAME; ?>' Drupal instance
# Automatically installed for <?php print PACKAGE_NAME; ?>
#

<?php print implode(' ', $webserver_logs); ?> {
    daily
    missingok
    rotate 365
    compress
    delaycompress
    ifempty
    create 640 root adm
    sharedscripts
    postrotate
<?php if (APACHE_ENABLED): ?>
      /etc/init.d/apache2 reload > /dev/null
<?php endif; ?>
<?php if (NGINX_ENABLED): ?>
      /etc/init.d/nginx reload > /dev/null
<?php endif; ?>
    endscript
}

<?php print implode(' ', $cron_logs); ?> {
    daily
    missingok
    rotate 365
    compress
    delaycompress
    ifempty
    create 640 <?php print WEBUSER; ?> adm
}
